Subject: [PATCH] improvement on net/sched/cls_fw.c's hash function

From: Wang Jian <[email-masked]>
Date: Tue, 05 Apr 2005 13:35:02 +0800

Hi,

This is a simple patch against net/sched/cls_fw.c. The idea of this
patch is discussed in this thread

https://lists.netfilter.org/pipermail/netfilter-devel/2005-March/018762.html

I chose 509 for FW_FILTER_HSIZE. If you feel it is waste of memory, then
251 is good too.

BTW: I don't know much about hash performance and hash distribution of
jhash. This is a quick fix.

-- 
  lark